Skip to Content
Print queue

List print queue jobs

Access

Member of the organization with this permission:

  • printing:read

An API key with scopes also needs the permission among its scopes.

GET
/orgs/{organizationId}/print-queue

Lists print queue jobs with pagination, filtering, and sorting. Use status and type filters to monitor pending, processing, completed, or failed jobs.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""type""referenceId""status""invoiceId""paymentReportId""accessMethodId""identityDocumentScanId""taskId""documentId""pdfUrl""scheduledAt""attemptCount""lastError""claimedAt""finishedAt""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
invoiceId?string|array<string>|null
paymentReportId?string|array<string>|null
accessMethodId?string|array<string>|null
identityDocumentScanId?string|array<string>|null
taskId?string|array<string>|null
documentId?string|array<string>|null
type?|array<>|
status?|array<>|
attemptCount?number||
scheduledAt?|null
claimedAt?|null
finishedAt?|null
createdAt?|null
updatedAt?|null
referenceId?string|array<string>|
pdfUrl?string|array<string>|
lastError?string|array<string>|
hasInvoice?boolean|string|number|null
hasNoInvoice?boolean|string|number|null
hasPaymentReport?boolean|string|number|null
hasNoPaymentReport?boolean|string|number|null
hasAccessMethod?boolean|string|number|null
hasNoAccessMethod?boolean|string|number|null
hasIdentityDocumentScan?boolean|string|number|null
hasNoIdentityDocumentScan?boolean|string|number|null
hasTask?boolean|string|number|null
hasNoTask?boolean|string|number|null
hasDocument?boolean|string|number|null
hasNoDocument?boolean|string|number|null

Response Body

OK

application/json
  1. response
Example Request
curl -X GET 'https://api.tillor.eu/orgs//print-queue'
Example Response
null